# Reflexivity in a diffusion of innovations model

Source code for the article "Reflexivity in a diffusion of innovations model"
by Carlos Cordoba and Cesar García-Díaz.


## Parameters

These are the parameters that control the evolution of the algorithm, and their
corresponding variables in the article:

* Network randomness: $r$
* Average number of neighbors: $k$
* Initial proportion (or seed) of adopters: $\delta$
* Coefficient of social influence: $\beta$
* Quality: $q$
* Total number of consumers: $N$
* Activation sharpness: $\phi$
* Critical mass of adopters: $M_{c}$
* Marketing effort: $e_{1}$
* Level: $L$
* Time delay distribution: $f(d)$


## How to run this code

*Important note*: This code has only been tested on Windows.

* Install Miniconda
* Install `anaconda-project` with `conda install anaconda-project`.
* Open a a system terminal (cmd.exe) and `cd` to the directory where the code
  is placed.
* Run there: `anaconda-project run` to install the required Python
  dependencies.
* Run `activate envs\default`
* Set the model parameters for a given run in `all_parameters.py`.
* Run `python run_analysis.py`
* The results are several plots and a json file with the parameters of
  simulation. All are saved in a *Results* subdirectory in this same
  directory.
